Date   

[meta-selinux][PATCH 05/11] selinux-gui: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers.

Signed-off-by: Mingli Yu <mingli.yu@...>
---
recipes-security/selinux/selinux-gui_3.3.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/recipes-security/selinux/selinux-gui_3.3.bb b/recipes-security/selinux/selinux-gui_3.3.bb
index 5534ec6..9916afb 100644
--- a/recipes-security/selinux/selinux-gui_3.3.bb
+++ b/recipes-security/selinux/selinux-gui_3.3.bb
@@ -3,7 +3,7 @@ DESCRIPTION = "\
Provide SELinux Management tool (system-config-selinux) and SELinux \
Policy Generation Tool (selinux-polgengui)"
SECTION = "base"
-LICENSE = "GPLv2+"
+LICENSE = "GPL-2.0-or-later"
LIC_FILES_CHKSUM = "file://${S}/COPYING;md5=393a5ca445f6965873eca0259a17f833"

require selinux_common.inc
--
2.25.1


[meta-selinux][PATCH 02/11] selinux-dbus: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers

Signed-off-by: Mingli Yu <mingli.yu@...>
---
recipes-security/selinux/selinux-dbus_3.3.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/recipes-security/selinux/selinux-dbus_3.3.bb b/recipes-security/selinux/selinux-dbus_3.3.bb
index badf392..936baed 100644
--- a/recipes-security/selinux/selinux-dbus_3.3.bb
+++ b/recipes-security/selinux/selinux-dbus_3.3.bb
@@ -2,7 +2,7 @@ SUMMARY = "SELinux dbus service files"
DESCRIPTION = "\
Provide SELinux dbus service files and scripts."
SECTION = "base"
-LICENSE = "GPLv2+"
+LICENSE = "GPL-2.0-or-later"
LIC_FILES_CHKSUM = "file://${S}/COPYING;md5=393a5ca445f6965873eca0259a17f833"

require selinux_common.inc
--
2.25.1


[meta-selinux][PATCH 03/11] libsepol: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers

Signed-off-by: Mingli Yu <mingli.yu@...>
---
recipes-security/selinux/libsepol_3.3.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/recipes-security/selinux/libsepol_3.3.bb b/recipes-security/selinux/libsepol_3.3.bb
index 48d5f49..80d8819 100644
--- a/recipes-security/selinux/libsepol_3.3.bb
+++ b/recipes-security/selinux/libsepol_3.3.bb
@@ -4,7 +4,7 @@ It is used by checkpolicy (the policy compiler) and similar tools, as well \
as by programs like load_policy that need to perform specific transformations \
on binary policies such as customizing policy boolean settings."
SECTION = "base"
-LICENSE = "LGPLv2+"
+LICENSE = "LGPL-2.0-or-later"
LIC_FILES_CHKSUM = "file://${S}/COPYING;md5=a6f89e2100d9b6cdffcea4f398e37343"

require selinux_common.inc
--
2.25.1


[meta-selinux][PATCH 01/11] selinux-python: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers

Signed-off-by: Mingli Yu <mingli.yu@...>
---
recipes-security/selinux/selinux-python_3.3.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/recipes-security/selinux/selinux-python_3.3.bb b/recipes-security/selinux/selinux-python_3.3.bb
index d130900..1bf1f63 100644
--- a/recipes-security/selinux/selinux-python_3.3.bb
+++ b/recipes-security/selinux/selinux-python_3.3.bb
@@ -3,7 +3,7 @@ DESCRIPTION = "\
This package contains Python modules sepolgen, sepolicy; And the \
SELinux utilities audit2allow, chcat, semanage ..."
SECTION = "base"
-LICENSE = "GPLv2+"
+LICENSE = "GPL-2.0-or-later"
LIC_FILES_CHKSUM = "file://${S}/COPYING;md5=393a5ca445f6965873eca0259a17f833"

require selinux_common.inc
--
2.25.1


[meta-cgl-common][PATCH 8/8] libwww-perl: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers.

Signed-off-by: Mingli Yu <mingli.yu@...>
---
meta-cgl-common/recipes-perl/perl/libwww-perl_6.43.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-cgl-common/recipes-perl/perl/libwww-perl_6.43.bb b/meta-cgl-common/recipes-perl/perl/libwww-perl_6.43.bb
index b7acf19..5a4f55c 100644
--- a/meta-cgl-common/recipes-perl/perl/libwww-perl_6.43.bb
+++ b/meta-cgl-common/recipes-perl/perl/libwww-perl_6.43.bb
@@ -1,7 +1,7 @@
DESCRIPTION = "libwww-perl provides a simple and consistent API to the World Wide Web"
HOMEPAGE = "https://metacpan.org/release/libwww-perl"
SECTION = "libs"
-LICENSE = "Artistic-1.0 | GPL-1.0+"
+LICENSE = "Artistic-1.0 | GPL-1.0-or-later"
LIC_FILES_CHKSUM = "file://LICENSE;md5=225d44a95fa3addb1da6d91187ab189f"
DEPENDS = "liburi-perl-native libhtml-parser-perl-native libhtml-tagset-perl-native"
RDEPENDS:${PN} += " \
--
2.25.1


[meta-cgl-common][PATCH 7/8] resource-agents: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers.

Signed-off-by: Mingli Yu <mingli.yu@...>
---
.../resource-agents_4.5.0.bb | 18 +++++++++---------
1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/meta-cgl-common/recipes-cgl/cluster-resource-agents/resource-agents_4.5.0.bb b/meta-cgl-common/recipes-cgl/cluster-resource-agents/resource-agents_4.5.0.bb
index c8b2fbd..9349ab9 100644
--- a/meta-cgl-common/recipes-cgl/cluster-resource-agents/resource-agents_4.5.0.bb
+++ b/meta-cgl-common/recipes-cgl/cluster-resource-agents/resource-agents_4.5.0.bb
@@ -4,15 +4,15 @@ to operate in a High Availability environment for both Pacemaker and \
rgmanager service managers."
HOMEPAGE = "http://sources.redhat.com/cluster/wiki/"

-LICENSE = "GPLv2+ & LGPLv2+ & GPLv3"
-LICENSE:${PN} = "GPLv2+ & LGPLv2+"
-LICENSE:${PN}-dev = "GPLv2+ & LGPLv2+"
-LICENSE:${PN}-staticdev = "GPLv2+ & LGPLv2+"
-LICENSE:${PN}-dbg = "GPLv2+ & LGPLv2+"
-LICENSE:${PN}-doc = "GPLv2+ & LGPLv2+"
-LICENSE:${PN}-extra = "GPLv3"
-LICENSE:${PN}-extra-dbg = "GPLv3"
-LICENSE:ldirectord = "GPLv2+"
+LICENSE = "GPL-2.0-or-later & LGPL-2.0-or-later & GPL-3.0-only"
+LICENSE:${PN} = "GPL-2.0-or-later & LGPL-2.0-or-later"
+LICENSE:${PN}-dev = "GPL-2.0-or-later & LGPL-2.0-or-later"
+LICENSE:${PN}-staticdev = "GPL-2.0-or-later & LGPL-2.0-or-later"
+LICENSE:${PN}-dbg = "GPL-2.0-or-later & LGPL-2.0-or-later"
+LICENSE:${PN}-doc = "GPL-2.0-or-later & LGPL-2.0-or-later"
+LICENSE:${PN}-extra = "GPL-3.0-only"
+LICENSE:${PN}-extra-dbg = "GPL-3.0-only"
+LICENSE:ldirectord = "GPL-2.0-or-later"

SRC_URI = "git://github.com/ClusterLabs/resource-agents;branch=main;protocol=https \
file://01-disable-doc-build.patch \
--
2.25.1


[meta-cgl-common][PATCH 6/8] libmailtools-perl: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers.

Signed-off-by: Mingli Yu <mingli.yu@...>
---
meta-cgl-common/recipes-perl/perl/libmailtools-perl_2.21.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-cgl-common/recipes-perl/perl/libmailtools-perl_2.21.bb b/meta-cgl-common/recipes-perl/perl/libmailtools-perl_2.21.bb
index f30e466..4c67582 100644
--- a/meta-cgl-common/recipes-perl/perl/libmailtools-perl_2.21.bb
+++ b/meta-cgl-common/recipes-perl/perl/libmailtools-perl_2.21.bb
@@ -1,7 +1,7 @@
DESCRIPTION = "MailTools is a set of Perl modules related to mail applications"
HOMEPAGE = "http://search.cpan.org/dist/MailTools/"
SECTION = "libs"
-LICENSE = "Artistic-1.0 | GPL-1.0+"
+LICENSE = "Artistic-1.0 | GPL-1.0-or-later"
LIC_FILES_CHKSUM = "file://lib/Mail/Mailer.pod;beginline=150;md5=641bd171b1aaabba1fc83ac0a98a2d30"
DEPENDS = " \
libtest-pod-perl-native \
--
2.25.1


[meta-cgl-common][PATCH 5/8] pacemaker: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers.

Signed-off-by: Mingli Yu <mingli.yu@...>
---
meta-cgl-common/recipes-cgl/pacemaker/pacemaker_2.0.5.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-cgl-common/recipes-cgl/pacemaker/pacemaker_2.0.5.bb b/meta-cgl-common/recipes-cgl/pacemaker/pacemaker_2.0.5.bb
index 3bff2ba..ad8c641 100644
--- a/meta-cgl-common/recipes-cgl/pacemaker/pacemaker_2.0.5.bb
+++ b/meta-cgl-common/recipes-cgl/pacemaker/pacemaker_2.0.5.bb
@@ -8,7 +8,7 @@ when related resources fail and can be configured to periodically \
check resource health."
HOMEPAGE = "http://www.clusterlabs.org"

-LICENSE = "GPLv2+ & LGPLv2.1+"
+LICENSE = "GPL-2.0-or-later & LGPL-2.1-or-later"
LIC_FILES_CHKSUM = "file://COPYING;md5=000212f361a81b100d9d0f0435040663"

DEPENDS = "corosync libxslt libxml2 gnutls resource-agents libqb python3-native"
--
2.25.1


[meta-cgl-common][PATCH 4/8] libtest-pod-perl: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers.

Signed-off-by: Mingli Yu <mingli.yu@...>
---
meta-cgl-common/recipes-perl/perl/libtest-pod-perl_1.52.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-cgl-common/recipes-perl/perl/libtest-pod-perl_1.52.bb b/meta-cgl-common/recipes-perl/perl/libtest-pod-perl_1.52.bb
index c9f455a..968c628 100644
--- a/meta-cgl-common/recipes-perl/perl/libtest-pod-perl_1.52.bb
+++ b/meta-cgl-common/recipes-perl/perl/libtest-pod-perl_1.52.bb
@@ -1,6 +1,6 @@
DESCRIPTION = "Test::Pod - check for POD errors in files"
SECTION = "libs"
-LICENSE = "Artistic-1.0 | GPL-1.0+"
+LICENSE = "Artistic-1.0 | GPL-1.0-or-later"
LIC_FILES_CHKSUM = "file://README;beginline=26;md5=ea81140c3f3b2937c6490fc732471cd0"
HOMEPAGE = "https://github.com/perl-pod/test-pod/"
BBCLASSEXTEND = "native"
--
2.25.1


[meta-cgl-common][PATCH 3/8] cluster-glue: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers.

Signed-off-by: Mingli Yu <mingli.yu@...>
---
meta-cgl-common/recipes-cgl/cluster-glue/cluster-glue_1.0.12.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-cgl-common/recipes-cgl/cluster-glue/cluster-glue_1.0.12.bb b/meta-cgl-common/recipes-cgl/cluster-glue/cluster-glue_1.0.12.bb
index c9d1bac..e3aac57 100644
--- a/meta-cgl-common/recipes-cgl/cluster-glue/cluster-glue_1.0.12.bb
+++ b/meta-cgl-common/recipes-cgl/cluster-glue/cluster-glue_1.0.12.bb
@@ -3,7 +3,7 @@ the Heartbeat/Pacemaker cluster stack. In essence, Glue is everything that \
is not the cluster messaging layer (Heartbeat), nor the cluster resource manager \
(Pacemaker), nor a Resource Agent."
HOMEPAGE = "http://clusterlabs.org/"
-LICENSE = "GPLv2 & LGPLv2.1"
+LICENSE = "GPL-2.0-only & LGPL-2.1-only"
LIC_FILES_CHKSUM = "file://COPYING;md5=b70d30a00a451e19d7449d7465d02601 \
file://COPYING.LIB;md5=c386bfabdebabbdc1f28e9fde4f4df6d \
"
--
2.25.1


[meta-cgl-common][PATCH 2/8] ocfs2-tools: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers.

Signed-off-by: Mingli Yu <mingli.yu@...>
---
meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.6.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.6.bb b/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.6.bb
index 28ef4b0..03a1333 100644
--- a/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.6.bb
+++ b/meta-cgl-common/recipes-cgl/ocfs2-tools/ocfs2-tools_1.8.6.bb
@@ -9,7 +9,7 @@ technologies, such as JBD - the same journaling subsystem in use by \
ext3."
HOMEPAGE = "http://oss.oracle.com/projects/ocfs2-tools/"
SECTION = "System Environment/Base"
-LICENSE = "GPLv2"
+LICENSE = "GPL-2.0-only"
LIC_FILES_CHKSUM = "file://COPYING;md5=8ef380476f642c20ebf40fecb0add2ec"

SRC_URI = "git://github.com/markfasheh/ocfs2-tools;branch=master;protocol=https \
--
2.25.1


[meta-cgl-common][PATCH 1/8] crmsh: Update LICENSE variable

Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

Update LICENSE variable to use SPDX license identifiers.

Signed-off-by: Mingli Yu <mingli.yu@...>
---
meta-cgl-common/recipes-cgl/crmsh/crmsh_4.3.1.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-cgl-common/recipes-cgl/crmsh/crmsh_4.3.1.bb b/meta-cgl-common/recipes-cgl/crmsh/crmsh_4.3.1.bb
index 43393d8..8f319b5 100644
--- a/meta-cgl-common/recipes-cgl/crmsh/crmsh_4.3.1.bb
+++ b/meta-cgl-common/recipes-cgl/crmsh/crmsh_4.3.1.bb
@@ -3,7 +3,7 @@ DESCRIPTION = "crm shell, a Pacemaker command line interface for management and

HOMEPAGE = "https://crmsh.github.io"

-LICENSE = "GPLv2+"
+LICENSE = "GPL-2.0-or-later"
LIC_FILES_CHKSUM = "file://COPYING;md5=751419260aa954499f7abaabaa882bbe"

DEPENDS = "asciidoc-native \
--
2.25.1


Re: [yocto 3.1] adding custom testsdk script in own layer

Chen Qi
 

Hi Karthik,

Looking at the codes briefly, I would say the reason is that testimage considers all BBLAYERS while testsdk does not.

The key codes for testimage are:
testimage.bbclass:get_runtime_paths:
for layer in d.getVar('BBLAYERS').split():
        path = os.path.join(layer, 'lib/oeqa/runtime/cases')
        if os.path.isdir(path):
            paths.append(path)
    return paths

The key codes for testsdk are:
meta/lib/oeqa/sdk/context.py:OESDKTestContextExecutor:
default_cases = [os.path.join(os.path.abspath(os.path.dirname(__file__)), 'cases')]

I think you can fix the codes in sdk/context.py to make it consider BBLAYERS just as testimage.bbclass does.

P.S.
I'm not 100% sure, as I did not do any tests.

Regards,
Qi


On 4/2/22 09:44, Karthik Poduval wrote:
Ping. Still need help on this one, experts kindly advise.

On Tue, Mar 29, 2022, 4:34 PM Karthik Poduval <karthik.poduval@...> wrote:
Hi All,

We were trying to add a custom sdktest script as shown in example https://docs.yoctoproject.org/test-manual/intro.html#testsdk.

The script gets invoked when placed in meta/lib/oeqa/sdk/cases/mysdktest.py

However when placed under.
<my layer>/lib/oeqa/sdk/cases/mysdktest.py
It does not get invoked when running 
bitbake <my image> -c testsdk

The testimage scripts do work when placed under 
<my layer>/lib/oeqa/runtime/cases/ 
as they are controlled by the TEST_SUITES variable.

Kindly advise on how to proceed.

--
Regards,
Karthik Poduval






Re: [yocto 3.1] adding custom testsdk script in own layer

Karthik Poduval
 

Ping. Still need help on this one, experts kindly advise.


On Tue, Mar 29, 2022, 4:34 PM Karthik Poduval <karthik.poduval@...> wrote:
Hi All,

We were trying to add a custom sdktest script as shown in example https://docs.yoctoproject.org/test-manual/intro.html#testsdk.

The script gets invoked when placed in meta/lib/oeqa/sdk/cases/mysdktest.py

However when placed under.
<my layer>/lib/oeqa/sdk/cases/mysdktest.py
It does not get invoked when running 
bitbake <my image> -c testsdk

The testimage scripts do work when placed under 
<my layer>/lib/oeqa/runtime/cases/ 
as they are controlled by the TEST_SUITES variable.

Kindly advise on how to proceed.

--
Regards,
Karthik Poduval


Re: Specified SDKMACHINE value is not valid

Khem Raj
 

On Fri, Apr 1, 2022 at 2:02 PM jchludzinski <jchludzinski@...> wrote:

But obviously commented out.

On 2022-04-01 16:43, jchludzinski via lists.yoctoproject.org wrote:
There's this:
#SDKMACHINE ?= "i686"
OK it should be ok then. Can you describe your steps to setup the system?
maybe there is some caveat


---John

On 2022-04-01 16:22, Khem Raj wrote:

On Fri, Apr 1, 2022 at 1:09 PM jchludzinski via
lists.yoctoproject.org
[1 [1]] <jchludzinski=vivaldi.net@...> wrote:

I'm trying an experiment building yocto/OE on a Raspberry Pi 4 to
host on the same RP4. Admittedly, a not practical platform for
this
purpose but it should work.

I'm trying to target the ARM ISA for the image using yocto-3.4.2.
I've tried simply using the default setting and end up with:

_ERROR: OE-core's config sanity checker detected a potential
misconfiguration._
_ Either fix the cause of this error or at your own risk
disable
the checker (see sanity.conf)._
_ Following is the list of potential problems / advisories:_
_ _
_ Specified SDKMACHINE value is not valid_

I've tried editing ./conf/local.conf:

MACHINE ?= "qemuarm64"

#MACHINE ??= "qemux86-64"
It's complaining about SDKMACHINE setting which is a separate
variable, can you check your local.conf if it's set to something

But this accomplishes nothing. Needless to say, I'm a yacto/OE
newbie, so any suggestions would be greatly appreciated.

---John
Links:
------
[1] http://lists.yoctoproject.org

Links:
------
[1] http://lists.yoctoproject.org


Re: Specified SDKMACHINE value is not valid

jchludzinski
 

But obviously commented out.

On 2022-04-01 16:43, jchludzinski via lists.yoctoproject.org wrote:
There's this:
#SDKMACHINE ?= "i686"
---John
On 2022-04-01 16:22, Khem Raj wrote:

On Fri, Apr 1, 2022 at 1:09 PM jchludzinski via
lists.yoctoproject.org
[1 [1]] <jchludzinski=vivaldi.net@...> wrote:

I'm trying an experiment building yocto/OE on a Raspberry Pi 4 to
host on the same RP4. Admittedly, a not practical platform for
this
purpose but it should work.
I'm trying to target the ARM ISA for the image using yocto-3.4.2.
I've tried simply using the default setting and end up with:
_ERROR: OE-core's config sanity checker detected a potential
misconfiguration._
_ Either fix the cause of this error or at your own risk
disable
the checker (see sanity.conf)._
_ Following is the list of potential problems / advisories:_
_ _
_ Specified SDKMACHINE value is not valid_
I've tried editing ./conf/local.conf:
MACHINE ?= "qemuarm64"
#MACHINE ??= "qemux86-64"
It's complaining about SDKMACHINE setting which is a separate
variable, can you check your local.conf if it's set to something

But this accomplishes nothing. Needless to say, I'm a yacto/OE
newbie, so any suggestions would be greatly appreciated.
---John
Links:
------
[1] http://lists.yoctoproject.org
Links:
------
[1] http://lists.yoctoproject.org


Re: Specified SDKMACHINE value is not valid

jchludzinski
 

There's this:
#SDKMACHINE ?= "i686"
 
---John


On 2022-04-01 16:22, Khem Raj wrote:
On Fri, Apr 1, 2022 at 1:09 PM jchludzinski via lists.yoctoproject.org
[1] <jchludzinski=vivaldi.net@...> wrote:

I'm trying an experiment building yocto/OE on a Raspberry Pi 4 to
host on the same RP4. Admittedly, a not practical platform for this
purpose but it should work.

I'm trying to target the ARM ISA for the image using yocto-3.4.2.
I've tried simply using the default setting and end up with:

_ERROR:  OE-core's config sanity checker detected a potential
misconfiguration._
_    Either fix the cause of this error or at your own risk disable
the checker (see sanity.conf)._
_    Following is the list of potential problems / advisories:_
_ _
_    Specified SDKMACHINE value is not valid_

I've tried editing ./conf/local.conf:

MACHINE ?= "qemuarm64"

#MACHINE ??= "qemux86-64"

It’s complaining about SDKMACHINE setting which is a separate
variable, can you check your local.conf if it’s set to something

But this accomplishes nothing. Needless to say, I'm a yacto/OE
newbie, so any suggestions would be greatly appreciated.

---John
 

Links:
------
[1] http://lists.yoctoproject.org


Re: Specified SDKMACHINE value is not valid

Khem Raj
 



On Fri, Apr 1, 2022 at 1:09 PM jchludzinski via lists.yoctoproject.org <jchludzinski=vivaldi.net@...> wrote:
I'm trying an experiment building yocto/OE on a Raspberry Pi 4 to host on the same RP4. Admittedly, a not practical platform for this purpose but it should work.

I'm trying to target the ARM ISA for the image using yocto-3.4.2. I've tried simply using the default setting and end up with:
 
ERROR:  OE-core's config sanity checker detected a potential misconfiguration.
    Either fix the cause of this error or at your own risk disable the checker (see sanity.conf).
    Following is the list of potential problems / advisories:
 
    Specified SDKMACHINE value is not valid
 

I've tried editing ./conf/local.conf:

MACHINE ?= "qemuarm64"

#MACHINE ??= "qemux86-64"


It’s complaining about SDKMACHINE setting which is a separate variable, can you check your local.conf if it’s set to something 

But this accomplishes nothing. Needless to say, I'm a yacto/OE newbie, so any suggestions would be greatly appreciated.

---John





Specified SDKMACHINE value is not valid

jchludzinski
 

I'm trying an experiment building yocto/OE on a Raspberry Pi 4 to host on the same RP4. Admittedly, a not practical platform for this purpose but it should work.

I'm trying to target the ARM ISA for the image using yocto-3.4.2. I've tried simply using the default setting and end up with:
 
ERROR:  OE-core's config sanity checker detected a potential misconfiguration.
    Either fix the cause of this error or at your own risk disable the checker (see sanity.conf).
    Following is the list of potential problems / advisories:
 
    Specified SDKMACHINE value is not valid
 

I've tried editing ./conf/local.conf:

MACHINE ?= "qemuarm64"

#MACHINE ??= "qemux86-64"

But this accomplishes nothing. Needless to say, I'm a yacto/OE newbie, so any suggestions would be greatly appreciated.

---John


[meta-security][PATCH] python3-fail2ban: fix compile issue on some hosts

Armin Kuster
 

Use python3-native to use 2to3

Fix build issue on some hosts with this error:
(result, consumed) = self._buffer_decode(data, self.errors, final)
| UnicodeDecodeError: 'utf-8' codec can't decode byte 0xd8 in position 152: invalid continuation byte

Signed-off-by: Armin Kuster <akuster808@...>
---
recipes-security/fail2ban/python3-fail2ban_0.11.2.bb | 7 +++++++
1 file changed, 7 insertions(+)

diff --git a/recipes-security/fail2ban/python3-fail2ban_0.11.2.bb b/recipes-security/fail2ban/python3-fail2ban_0.11.2.bb
index 4118732..96e17b7 100644
--- a/recipes-security/fail2ban/python3-fail2ban_0.11.2.bb
+++ b/recipes-security/fail2ban/python3-fail2ban_0.11.2.bb
@@ -9,6 +9,8 @@ HOMEPAGE = "http://www.fail2ban.org"
LICENSE = "GPL-2.0-only"
LIC_FILES_CHKSUM = "file://COPYING;md5=ecabc31e90311da843753ba772885d9f"

+DEPENDS = "python3-native"
+
SRCREV ="4fe4ac8dde6ba14841da598ec37f8c6911fe0f64"
SRC_URI = " git://github.com/fail2ban/fail2ban.git;branch=0.11;protocol=https \
file://initd \
@@ -21,6 +23,11 @@ S = "${WORKDIR}/git"

do_compile () {
cd ${S}
+
+ #remove symlink to python3
+ # otherwise 2to3 is run against it
+ rm -f bin/fail2ban-python
+
./fail2ban-2to3
}

--
2.25.1

821 - 840 of 57406